
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: local-storage
provisioner: kubernetes.io/no-provisioner
volumeBindingMode: WaitForFirstConsumer

---
kind: PersistentVolume
apiVersion: v1
metadata:
  name: pv01
  labels:
    pv-name: pv01
spec:
  capacity:
    storage: 5Gi
  accessModes:
  - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  storageClassName: local-storage
  local:
    path: /mnt
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: nodename
          operator: In
          values:
          - w02

---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: pvc01
spec:
  accessModes:
  - ReadWriteOnce
  storageClassName: local-storage
  resources:
    requests:
      storage: 5Gi
  selector:
    matchLabels:
      pv-name: pv01

---
kind: Pod
apiVersion: v1
metadata:
  name: test-pod
spec:
  containers:
  - image: aemc/whoami
    name: whoami-container
    volumeMounts:
    - mountPath: /mnt
      name: test-volume
  volumes:
  - name: test-volume
    persistentVolumeClaim:
      claimName: pvc01
